%define package fwsupdates
%define version 0.1.0
%define release 0.beta23

Name:		wpkg-fwsupdates
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	WPKG Client with a GUI

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:  unix2dos
BuildRequires:	e-smith-devtools
BuildRequires:  /usr/bin/iconv

Requires: ipasserelle-gp

%description
Meta package to install WPKG supported softwares on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
unix2dos packages/*
for F in $(ls softwares/FWSUpdates/lang/*.bat); do
  L=${F%_utf8.bat}.bat
  iconv -f UTF-8 -t CP850 -o $L $F
  unix2dos $L
  rm -f $F
done

%install
/bin/rm -rf %{buildroot}
cp -a root %{buildroot}/
mkdir -p %{buildroot}/home/e-smith/files/shares/tools/files/scripts/fwsupdates/
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/settings/%{package}
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/
cp -r settings/* %{buildroot}/home/e-smith/files/shares/wpkg/files/settings/%{package}/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/
/etc

%changelog
* Wed Dec 9 2015 Daniel Berteaud <daniel@firewall-services.com> 0.1.0-1
- First package

